Bug 2075944 - intel-opencl crashes with intel-igc built against LLVM >= 13
Summary: intel-opencl crashes with intel-igc built against LLVM >= 13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: intel-compute-runtime
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: František Zatloukal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-16 13:08 UTC by mlaverdiere
Modified: 2022-07-08 10:59 UTC (History)
2 users (show)

Fixed In Version: intel-compute-runtime-22.21.23269-1.fc36 intel-compute-runtime-22.26.23599-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-06 01:37:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github intel intel-graphics-compiler issues 204 0 None open ocloc crashes with LLVM 13 2022-04-16 15:42:01 UTC

Description mlaverdiere 2022-04-16 13:08:26 UTC
I'm trying to activate opencl with an Intel Iris Plus graphic card on a Dell XPS 13 9300 on Fedora 36 beta, by installing intel-opencl package via dnf, but it seems to crash.

Here's what clinfo is reporting:

[ml@ml-dell-fedora ~]$ sudo clinfo
Abort was called at 39 line in file:
/builddir/build/BUILD/compute-runtime-22.11.22682/shared/source/built_ins/built_ins.cpp
Abandon.

I tried to use it with darktable, without success. Here’s what darktable-cltest is reporting (same as clinfo):

[ml@ml-dell-fedora ~]$ darktable-cltest
0.046980 [opencl_init] opencl related configuration options:
0.047001 [opencl_init]
0.047005 [opencl_init] opencl: 1
0.047008 [opencl_init] opencl_scheduling_profile: ‘default’
0.047012 [opencl_init] opencl_library: ‘’
0.047015 [opencl_init] opencl_memory_requirement: 768
0.047019 [opencl_init] opencl_memory_headroom: 300
0.047022 [opencl_init] opencl_device_priority: ‘/!0,//’
0.047027 [opencl_init] opencl_mandatory_timeout: 200
0.047031 [opencl_init] opencl_size_roundup: 16
0.047033 [opencl_init] opencl_async_pixelpipe: 0
0.047036 [opencl_init] opencl_synch_cache: false
0.047039 [opencl_init] opencl_number_event_handles: 25
0.047043 [opencl_init] opencl_micro_nap: 1000
0.047046 [opencl_init] opencl_use_pinned_memory: 0
0.047049 [opencl_init] opencl_use_cpu_devices: 0
0.047051 [opencl_init] opencl_avoid_atomics: 0
0.047054 [opencl_init]
0.047314 [opencl_init] could not find opencl runtime library ‘libOpenCL’
0.047381 [opencl_init] could not find opencl runtime library ‘libOpenCL.so’
0.047613 [opencl_init] found opencl runtime library ‘libOpenCL.so.1’
0.047644 [opencl_init] opencl library ‘libOpenCL.so.1’ found on your system and loaded
Abort was called at 39 line in file:
/builddir/build/BUILD/compute-runtime-22.11.22682/shared/source/built_ins/built_ins.cpp
Abandon (core dumped)

I'm not sure if it is already reported upstream, as I can't seem to find a similar issue: https://github.com/intel/intel-graphics-compiler/issues

Comment 1 František Zatloukal 2022-04-16 15:42:25 UTC
Yeah, unfortunately, we can't do much about this until https://github.com/intel/intel-graphics-compiler/issues/204 gets resolved :(

Comment 2 mlaverdiere 2022-04-18 13:29:25 UTC
OK, while we wait for this bug to be resolved, here’s a temporary workaround to activate opencl on Fedora for Intel cards, based on packages available here: https://copr.fedorainfracloud.org/coprs/jdanecki/intel-opencl-ci/

Tested and working on Fedora 36 (beta) with darktable 3.8.1.

Comment 3 Fedora Update System 2022-05-29 11:08:09 UTC
FEDORA-2022-2c501774cf has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2c501774cf

Comment 4 Fedora Update System 2022-05-30 06:24:41 UTC
FEDORA-2022-2c501774cf has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-2c501774cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2c501774cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-06-02 01:33:04 UTC
FEDORA-2022-2c501774cf has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 mlaverdiere 2022-06-05 12:33:31 UTC
I have installed the new packages that are now available in regular repos (intel-gmmlib-22.1.3-1.fc36.x86_64 ans intel-opencl-22.21.23269-1.fc36.x86_64), but the problem still persists, i.e. same errors messages:


ml@ml-dell-fedora ~]$ clinfo
Abort was called at 39 line in file:
/builddir/build/BUILD/compute-runtime-22.21.23269/shared/source/built_ins/built_ins.cpp
Abandon (core dumped)

[ml@ml-dell-fedora ~]$ darktable-cltest
0.051520 [opencl_init] opencl related configuration options:
0.051542 [opencl_init] 
0.051546 [opencl_init] opencl: 1
0.051551 [opencl_init] opencl_scheduling_profile: 'default'
0.051555 [opencl_init] opencl_library: ''
0.051559 [opencl_init] opencl_memory_requirement: 768
0.051566 [opencl_init] opencl_memory_headroom: 300
0.051571 [opencl_init] opencl_device_priority: '*/!0,*/*/*'
0.051576 [opencl_init] opencl_mandatory_timeout: 200
0.051582 [opencl_init] opencl_size_roundup: 16
0.051587 [opencl_init] opencl_async_pixelpipe: 0
0.051592 [opencl_init] opencl_synch_cache: false
0.051597 [opencl_init] opencl_number_event_handles: 25
0.051603 [opencl_init] opencl_micro_nap: 1000
0.051608 [opencl_init] opencl_use_pinned_memory: 0
0.051611 [opencl_init] opencl_use_cpu_devices: 0
0.051614 [opencl_init] opencl_avoid_atomics: 0
0.051618 [opencl_init] 
0.051896 [opencl_init] could not find opencl runtime library 'libOpenCL'
0.051977 [opencl_init] could not find opencl runtime library 'libOpenCL.so'
0.052190 [opencl_init] found opencl runtime library 'libOpenCL.so.1'
0.052223 [opencl_init] opencl library 'libOpenCL.so.1' found on your system and loaded
Abort was called at 39 line in file:
/builddir/build/BUILD/compute-runtime-22.21.23269/shared/source/built_ins/built_ins.cpp
Abandon (core dumped)

Comment 7 František Zatloukal 2022-06-06 23:56:16 UTC
Hmm, can you try to install intel-igc ? It crashes the same way as for you if I don't have that installed, and it crashes a bit later with that present (which might be a bug elsewhere).

The igc package is using WIP version of llvm 14 support patch, there may be some issues coming from this. I'll adjust the dependencies anyway if you see the same progress with the igc and I'll keep poking at the stack and see if I can get the darktable-cltest fixed.

Comment 8 mlaverdiere 2022-06-07 11:21:50 UTC
Ok, I tested it with intel-igc installed and indeed, it seems to crash a bit later with darktable-cltest. 

Heres's the output of clinfo and darktable-cltest:

[ml@ml-dell-fedora ~]$ clinfo
Number of platforms                               1
  Platform Name                                   Intel(R) OpenCL HD Graphics
  Platform Vendor                                 Intel(R) Corporation
  Platform Version                                OpenCL 3.0 
  Platform Profile                                FULL_PROFILE
  Platform Extensions                             cl_khr_byte_addressable_store cl_khr_fp16 cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_icd cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_intel_command_queue_families cl_intel_subgroups cl_intel_required_subgroup_size cl_intel_subgroups_short cl_khr_spir cl_intel_accelerator cl_intel_driver_diagnostics cl_khr_priority_hints cl_khr_throttle_hints cl_khr_create_command_queue cl_intel_subgroups_char cl_intel_subgroups_long cl_khr_il_program cl_intel_mem_force_host_memory cl_khr_subgroup_extended_types cl_khr_subgroup_non_uniform_vote cl_khr_subgroup_ballot cl_khr_subgroup_non_uniform_arithmetic cl_khr_subgroup_shuffle cl_khr_subgroup_shuffle_relative cl_khr_subgroup_clustered_reduce cl_intel_device_attribute_query cl_khr_suggested_local_work_size cl_khr_subgroups cl_intel_spirv_device_side_avc_motion_estimation cl_intel_spirv_media_block_io cl_intel_spirv_subgroups cl_khr_spirv_no_integer_wrap_decoration cl_intel_unified_shared_memory cl_khr_mipmap_image cl_khr_mipmap_image_writes cl_intel_planar_yuv cl_intel_packed_yuv cl_intel_motion_estimation cl_intel_device_side_avc_motion_estimation cl_intel_advanced_motion_estimation cl_khr_int64_base_atomics cl_khr_int64_extended_atomics cl_khr_image2d_from_buffer cl_khr_depth_images cl_khr_3d_image_writes cl_intel_media_block_io cl_intel_va_api_media_sharing cl_intel_sharing_format_query cl_khr_pci_bus_info cl_intel_subgroup_local_block_io 
  Platform Extensions with Version                cl_khr_byte_addressable_store                                    0x400000 (1.0.0)
                                                  cl_khr_fp16                                                      0x400000 (1.0.0)
                                                  cl_khr_global_int32_base_atomics                                 0x400000 (1.0.0)
                                                  cl_khr_global_int32_extended_atomics                             0x400000 (1.0.0)
                                                  cl_khr_icd                                                       0x400000 (1.0.0)
                                                  cl_khr_local_int32_base_atomics                                  0x400000 (1.0.0)
                                                  cl_khr_local_int32_extended_atomics                              0x400000 (1.0.0)
                                                  cl_intel_command_queue_families                                  0x400000 (1.0.0)
                                                  cl_intel_subgroups                                               0x400000 (1.0.0)
                                                  cl_intel_required_subgroup_size                                  0x400000 (1.0.0)
                                                  cl_intel_subgroups_short                                         0x400000 (1.0.0)
                                                  cl_khr_spir                                                      0x400000 (1.0.0)
                                                  cl_intel_accelerator                                             0x400000 (1.0.0)
                                                  cl_intel_driver_diagnostics                                      0x400000 (1.0.0)
                                                  cl_khr_priority_hints                                            0x400000 (1.0.0)
                                                  cl_khr_throttle_hints                                            0x400000 (1.0.0)
                                                  cl_khr_create_command_queue                                      0x400000 (1.0.0)
                                                  cl_intel_subgroups_char                                          0x400000 (1.0.0)
                                                  cl_intel_subgroups_long                                          0x400000 (1.0.0)
                                                  cl_khr_il_program                                                0x400000 (1.0.0)
                                                  cl_intel_mem_force_host_memory                                   0x400000 (1.0.0)
                                                  cl_khr_subgroup_extended_types                                   0x400000 (1.0.0)
                                                  cl_khr_subgroup_non_uniform_vote                                 0x400000 (1.0.0)
                                                  cl_khr_subgroup_ballot                                           0x400000 (1.0.0)
                                                  cl_khr_subgroup_non_uniform_arithmetic                           0x400000 (1.0.0)
                                                  cl_khr_subgroup_shuffle                                          0x400000 (1.0.0)
                                                  cl_khr_subgroup_shuffle_relative                                 0x400000 (1.0.0)
                                                  cl_khr_subgroup_clustered_reduce                                 0x400000 (1.0.0)
                                                  cl_intel_device_attribute_query                                  0x400000 (1.0.0)
                                                  cl_khr_suggested_local_work_size                                 0x400000 (1.0.0)
                                                  cl_khr_subgroups                                                 0x400000 (1.0.0)
                                                  cl_intel_spirv_device_side_avc_motion_estimation                 0x400000 (1.0.0)
                                                  cl_intel_spirv_media_block_io                                    0x400000 (1.0.0)
                                                  cl_intel_spirv_subgroups                                         0x400000 (1.0.0)
                                                  cl_khr_spirv_no_integer_wrap_decoration                          0x400000 (1.0.0)
                                                  cl_intel_unified_shared_memory                                   0x400000 (1.0.0)
                                                  cl_khr_mipmap_image                                              0x400000 (1.0.0)
                                                  cl_khr_mipmap_image_writes                                       0x400000 (1.0.0)
                                                  cl_intel_planar_yuv                                              0x400000 (1.0.0)
                                                  cl_intel_packed_yuv                                              0x400000 (1.0.0)
                                                  cl_intel_motion_estimation                                       0x400000 (1.0.0)
                                                  cl_intel_device_side_avc_motion_estimation                       0x400000 (1.0.0)
                                                  cl_intel_advanced_motion_estimation                              0x400000 (1.0.0)
                                                  cl_khr_int64_base_atomics                                        0x400000 (1.0.0)
                                                  cl_khr_int64_extended_atomics                                    0x400000 (1.0.0)
                                                  cl_khr_image2d_from_buffer                                       0x400000 (1.0.0)
                                                  cl_khr_depth_images                                              0x400000 (1.0.0)
                                                  cl_khr_3d_image_writes                                           0x400000 (1.0.0)
                                                  cl_intel_media_block_io                                          0x400000 (1.0.0)
                                                  cl_intel_va_api_media_sharing                                    0x400000 (1.0.0)
                                                  cl_intel_sharing_format_query                                    0x400000 (1.0.0)
                                                  cl_khr_pci_bus_info                                              0x400000 (1.0.0)
                                                  cl_intel_subgroup_local_block_io                                 0x400000 (1.0.0)
  Platform Numeric Version                        0xc00000 (3.0.0)
  Platform Extensions function suffix             INTEL
  Platform Host timer resolution                  1ns

  Platform Name                                   Intel(R) OpenCL HD Graphics
Number of devices                                 1
  Device Name                                     Intel(R) Iris(R) Plus Graphics [0x8a52]
  Device Vendor                                   Intel(R) Corporation
  Device Vendor ID                                0x8086
  Device Version                                  OpenCL 3.0 NEO 
  Device Numeric Version                          0xc00000 (3.0.0)
  Driver Version                                  22.21.23269
  Device OpenCL C Version                         OpenCL C 1.2 
  Device OpenCL C all versions                    OpenCL C                                                         0x400000 (1.0.0)
                                                  OpenCL C                                                         0x401000 (1.1.0)
                                                  OpenCL C                                                         0x402000 (1.2.0)
                                                  OpenCL C                                                         0xc00000 (3.0.0)
  Device OpenCL C features                        __opencl_c_int64                                                 0xc00000 (3.0.0)
                                                  __opencl_c_3d_image_writes                                       0xc00000 (3.0.0)
                                                  __opencl_c_images                                                0xc00000 (3.0.0)
                                                  __opencl_c_read_write_images                                     0xc00000 (3.0.0)
                                                  __opencl_c_atomic_order_acq_rel                                  0xc00000 (3.0.0)
                                                  __opencl_c_atomic_order_seq_cst                                  0xc00000 (3.0.0)
                                                  __opencl_c_atomic_scope_all_devices                              0xc00000 (3.0.0)
                                                  __opencl_c_atomic_scope_device                                   0xc00000 (3.0.0)
                                                  __opencl_c_generic_address_space                                 0xc00000 (3.0.0)
                                                  __opencl_c_program_scope_global_variables                        0xc00000 (3.0.0)
                                                  __opencl_c_work_group_collective_functions                       0xc00000 (3.0.0)
                                                  __opencl_c_subgroups                                             0xc00000 (3.0.0)
                                                  __opencl_c_pipes                                                 0xc00000 (3.0.0)
  Latest comfornace test passed                   v2021-06-16-00
  Device Type                                     GPU
  Device Profile                                  FULL_PROFILE
  Device Available                                Yes
  Compiler Available                              Yes
  Linker Available                                Yes
  Max compute units                               64
  Max clock frequency                             1100MHz
  Device Partition                                (core)
    Max number of sub-devices                     0
    Supported partition types                     None
    Supported affinity domains                    (n/a)
  Max work item dimensions                        3
  Max work item sizes                             256x256x256
  Max work group size                             256
  Preferred work group size multiple (device)     32
  Preferred work group size multiple (kernel)     32
  Max sub-groups per work group                   32
  Sub-group sizes (Intel)                         8, 16, 32
  Preferred / native vector sizes                 
    char                                                16 / 16      
    short                                                8 / 8       
    int                                                  4 / 4       
    long                                                 1 / 1       
    half                                                 8 / 8        (cl_khr_fp16)
    float                                                1 / 1       
    double                                               1 / 1        (n/a)
  Half-precision Floating-point support           (cl_khr_fp16)
    Denormals                                     Yes
    Infinity and NANs                             Yes
    Round to nearest                              Yes
    Round to zero                                 Yes
    Round to infinity                             Yes
    IEEE754-2008 fused multiply-add               Yes
    Support is emulated in software               No
  Single-precision Floating-point support         (core)
    Denormals                                     Yes
    Infinity and NANs                             Yes
    Round to nearest                              Yes
    Round to zero                                 Yes
    Round to infinity                             Yes
    IEEE754-2008 fused multiply-add               Yes
    Support is emulated in software               No
    Correctly-rounded divide and sqrt operations  No
  Double-precision Floating-point support         (n/a)
  Address bits                                    64, Little-Endian
  Global memory size                              13066919936 (12.17GiB)
  Error Correction support                        No
  Max memory allocation                           4294959104 (4GiB)
  Unified memory for Host and Device              Yes
  Shared Virtual Memory (SVM) capabilities        (core)
    Coarse-grained buffer sharing                 Yes
    Fine-grained buffer sharing                   No
    Fine-grained system sharing                   No
    Atomics                                       No
  Minimum alignment for any data type             128 bytes
  Alignment of base address                       1024 bits (128 bytes)
  Preferred alignment for atomics                 
    SVM                                           64 bytes
    Global                                        64 bytes
    Local                                         64 bytes
  Atomic memory capabilities                      relaxed, acquire/release, sequentially-consistent, work-group scope, device scope, all-devices scope
  Atomic fence capabilities                       relaxed, acquire/release, sequentially-consistent, work-item scope, work-group scope, device scope, all-devices scope
  Max size for global variable                    65536 (64KiB)
  Preferred total size of global vars             4294959104 (4GiB)
  Global Memory cache type                        Read/Write
  Global Memory cache size                        1048576 (1024KiB)
  Global Memory cache line size                   64 bytes
  Image support                                   Yes
    Max number of samplers per kernel             16
    Max size for 1D images from buffer            268434944 pixels
    Max 1D or 2D image array size                 2048 images
    Base address alignment for 2D image buffers   4 bytes
    Pitch alignment for 2D image buffers          4 pixels
    Max 2D image size                             16384x16384 pixels
    Max planar YUV image size                     16384x16352 pixels
    Max 3D image size                             16384x16384x2048 pixels
    Max number of read image args                 128
    Max number of write image args                128
    Max number of read/write image args           128
  Pipe support                                    Yes
  Max number of pipe args                         16
  Max active pipe reservations                    1
  Max pipe packet size                            1024
  Local memory type                               Local
  Local memory size                               65536 (64KiB)
  Max number of constant args                     8
  Max constant buffer size                        4294959104 (4GiB)
  Generic address space support                   Yes
  Max size of kernel argument                     2048 (2KiB)
  Queue properties (on host)                      
    Out-of-order execution                        Yes
    Profiling                                     Yes
  Device enqueue capabilities                     (n/a)
  Queue properties (on device)                    
    Out-of-order execution                        No
    Profiling                                     No
    Preferred size                                0
    Max size                                      0
  Max queues on device                            0
  Max events on device                            0
  Prefer user sync for interop                    Yes
  Profiling timer resolution                      52ns
  Execution capabilities                          
    Run OpenCL kernels                            Yes
    Run native kernels                            No
    Non-uniform work-groups                       Yes
    Work-group collective functions               Yes
    Sub-group independent forward progress        Yes
    IL version                                    SPIR-V_1.2 
    ILs with version                              SPIR-V                                                           0x402000 (1.2.0)
    SPIR versions                                 1.2 
  printf() buffer size                            4194304 (4MiB)
  Built-in kernels                                block_motion_estimate_intel;block_advanced_motion_estimate_check_intel;block_advanced_motion_estimate_bidirectional_check_intel;
  Built-in kernels with version                   block_motion_estimate_intel                                      0x400000 (1.0.0)
                                                  block_advanced_motion_estimate_check_intel                       0x400000 (1.0.0)
                                                  block_advanced_motion_estimate_bidirectional_check_intel         0x400000 (1.0.0)
  Motion Estimation accelerator version (Intel)   2
    Device-side AVC Motion Estimation version     1
      Supports texture sampler use                Yes
      Supports preemption                         Yes
  Device Extensions                               cl_khr_byte_addressable_store cl_khr_fp16 cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_icd cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_intel_command_queue_families cl_intel_subgroups cl_intel_required_subgroup_size cl_intel_subgroups_short cl_khr_spir cl_intel_accelerator cl_intel_driver_diagnostics cl_khr_priority_hints cl_khr_throttle_hints cl_khr_create_command_queue cl_intel_subgroups_char cl_intel_subgroups_long cl_khr_il_program cl_intel_mem_force_host_memory cl_khr_subgroup_extended_types cl_khr_subgroup_non_uniform_vote cl_khr_subgroup_ballot cl_khr_subgroup_non_uniform_arithmetic cl_khr_subgroup_shuffle cl_khr_subgroup_shuffle_relative cl_khr_subgroup_clustered_reduce cl_intel_device_attribute_query cl_khr_suggested_local_work_size cl_khr_subgroups cl_intel_spirv_device_side_avc_motion_estimation cl_intel_spirv_media_block_io cl_intel_spirv_subgroups cl_khr_spirv_no_integer_wrap_decoration cl_intel_unified_shared_memory cl_khr_mipmap_image cl_khr_mipmap_image_writes cl_intel_planar_yuv cl_intel_packed_yuv cl_intel_motion_estimation cl_intel_device_side_avc_motion_estimation cl_intel_advanced_motion_estimation cl_khr_int64_base_atomics cl_khr_int64_extended_atomics cl_khr_image2d_from_buffer cl_khr_depth_images cl_khr_3d_image_writes cl_intel_media_block_io cl_intel_va_api_media_sharing cl_intel_sharing_format_query cl_khr_pci_bus_info cl_intel_subgroup_local_block_io 
  Device Extensions with Version                  cl_khr_byte_addressable_store                                    0x400000 (1.0.0)
                                                  cl_khr_fp16                                                      0x400000 (1.0.0)
                                                  cl_khr_global_int32_base_atomics                                 0x400000 (1.0.0)
                                                  cl_khr_global_int32_extended_atomics                             0x400000 (1.0.0)
                                                  cl_khr_icd                                                       0x400000 (1.0.0)
                                                  cl_khr_local_int32_base_atomics                                  0x400000 (1.0.0)
                                                  cl_khr_local_int32_extended_atomics                              0x400000 (1.0.0)
                                                  cl_intel_command_queue_families                                  0x400000 (1.0.0)
                                                  cl_intel_subgroups                                               0x400000 (1.0.0)
                                                  cl_intel_required_subgroup_size                                  0x400000 (1.0.0)
                                                  cl_intel_subgroups_short                                         0x400000 (1.0.0)
                                                  cl_khr_spir                                                      0x400000 (1.0.0)
                                                  cl_intel_accelerator                                             0x400000 (1.0.0)
                                                  cl_intel_driver_diagnostics                                      0x400000 (1.0.0)
                                                  cl_khr_priority_hints                                            0x400000 (1.0.0)
                                                  cl_khr_throttle_hints                                            0x400000 (1.0.0)
                                                  cl_khr_create_command_queue                                      0x400000 (1.0.0)
                                                  cl_intel_subgroups_char                                          0x400000 (1.0.0)
                                                  cl_intel_subgroups_long                                          0x400000 (1.0.0)
                                                  cl_khr_il_program                                                0x400000 (1.0.0)
                                                  cl_intel_mem_force_host_memory                                   0x400000 (1.0.0)
                                                  cl_khr_subgroup_extended_types                                   0x400000 (1.0.0)
                                                  cl_khr_subgroup_non_uniform_vote                                 0x400000 (1.0.0)
                                                  cl_khr_subgroup_ballot                                           0x400000 (1.0.0)
                                                  cl_khr_subgroup_non_uniform_arithmetic                           0x400000 (1.0.0)
                                                  cl_khr_subgroup_shuffle                                          0x400000 (1.0.0)
                                                  cl_khr_subgroup_shuffle_relative                                 0x400000 (1.0.0)
                                                  cl_khr_subgroup_clustered_reduce                                 0x400000 (1.0.0)
                                                  cl_intel_device_attribute_query                                  0x400000 (1.0.0)
                                                  cl_khr_suggested_local_work_size                                 0x400000 (1.0.0)
                                                  cl_khr_subgroups                                                 0x400000 (1.0.0)
                                                  cl_intel_spirv_device_side_avc_motion_estimation                 0x400000 (1.0.0)
                                                  cl_intel_spirv_media_block_io                                    0x400000 (1.0.0)
                                                  cl_intel_spirv_subgroups                                         0x400000 (1.0.0)
                                                  cl_khr_spirv_no_integer_wrap_decoration                          0x400000 (1.0.0)
                                                  cl_intel_unified_shared_memory                                   0x400000 (1.0.0)
                                                  cl_khr_mipmap_image                                              0x400000 (1.0.0)
                                                  cl_khr_mipmap_image_writes                                       0x400000 (1.0.0)
                                                  cl_intel_planar_yuv                                              0x400000 (1.0.0)
                                                  cl_intel_packed_yuv                                              0x400000 (1.0.0)
                                                  cl_intel_motion_estimation                                       0x400000 (1.0.0)
                                                  cl_intel_device_side_avc_motion_estimation                       0x400000 (1.0.0)
                                                  cl_intel_advanced_motion_estimation                              0x400000 (1.0.0)
                                                  cl_khr_int64_base_atomics                                        0x400000 (1.0.0)
                                                  cl_khr_int64_extended_atomics                                    0x400000 (1.0.0)
                                                  cl_khr_image2d_from_buffer                                       0x400000 (1.0.0)
                                                  cl_khr_depth_images                                              0x400000 (1.0.0)
                                                  cl_khr_3d_image_writes                                           0x400000 (1.0.0)
                                                  cl_intel_media_block_io                                          0x400000 (1.0.0)
                                                  cl_intel_va_api_media_sharing                                    0x400000 (1.0.0)
                                                  cl_intel_sharing_format_query                                    0x400000 (1.0.0)
                                                  cl_khr_pci_bus_info                                              0x400000 (1.0.0)
                                                  cl_intel_subgroup_local_block_io                                 0x400000 (1.0.0)

NULL platform behavior
  clGetPlatformInfo(NULL, CL_PLATFORM_NAME, ...)  Intel(R) OpenCL HD Graphics
  clGetDeviceIDs(NULL, CL_DEVICE_TYPE_ALL, ...)   Success [INTEL]
  clCreateContext(NULL, ...) [default]            Success [INTEL]
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_DEFAULT)  Success (1)
    Platform Name                                 Intel(R) OpenCL HD Graphics
    Device Name                                   Intel(R) Iris(R) Plus Graphics [0x8a52]
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_CPU)  No devices found in platform
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_GPU)  Success (1)
    Platform Name                                 Intel(R) OpenCL HD Graphics
    Device Name                                   Intel(R) Iris(R) Plus Graphics [0x8a52]
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_ACCELERATOR)  No devices found in platform
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_CUSTOM)  No devices found in platform
  clCreateContextFromType(NULL, CL_DEVICE_TYPE_ALL)  Success (1)
    Platform Name                                 Intel(R) OpenCL HD Graphics
    Device Name                                   Intel(R) Iris(R) Plus Graphics [0x8a52]

ICD loader properties
  ICD loader Name                                 OpenCL ICD Loader
  ICD loader Vendor                               OCL Icd free software
  ICD loader Version                              2.3.1
  ICD loader Profile                              OpenCL 3.0






[ml@ml-dell-fedora ~]$ darktable-cltest
0.050600 [opencl_init] opencl related configuration options:
0.050624 [opencl_init] 
0.050629 [opencl_init] opencl: 1
0.050633 [opencl_init] opencl_scheduling_profile: 'default'
0.050641 [opencl_init] opencl_library: ''
0.050648 [opencl_init] opencl_memory_requirement: 768
0.050657 [opencl_init] opencl_memory_headroom: 300
0.050663 [opencl_init] opencl_device_priority: '*/!0,*/*/*'
0.050673 [opencl_init] opencl_mandatory_timeout: 200
0.050677 [opencl_init] opencl_size_roundup: 16
0.050682 [opencl_init] opencl_async_pixelpipe: 0
0.050689 [opencl_init] opencl_synch_cache: false
0.050695 [opencl_init] opencl_number_event_handles: 25
0.050701 [opencl_init] opencl_micro_nap: 1000
0.050708 [opencl_init] opencl_use_pinned_memory: 0
0.050714 [opencl_init] opencl_use_cpu_devices: 0
0.050720 [opencl_init] opencl_avoid_atomics: 0
0.050726 [opencl_init] 
0.051024 [opencl_init] could not find opencl runtime library 'libOpenCL'
0.051102 [opencl_init] could not find opencl runtime library 'libOpenCL.so'
0.051326 [opencl_init] found opencl runtime library 'libOpenCL.so.1'
0.051360 [opencl_init] opencl library 'libOpenCL.so.1' found on your system and loaded
0.089046 [opencl_init] found 1 platform
0.089076 [opencl_init] found 1 device
0.089106 [opencl_init] device 0 `Intel(R) Iris(R) Plus Graphics [0x8a52]' supports image sizes of 16384 x 16384
0.089110 [opencl_init] device 0 `Intel(R) Iris(R) Plus Graphics [0x8a52]' allows GPU memory allocations of up to 4095MB
[opencl_init] device 0: Intel(R) Iris(R) Plus Graphics [0x8a52] 
     CANONICAL_NAME:           intelri
     GLOBAL_MEM_SIZE:          12462MB
     MAX_WORK_GROUP_SIZE:      256
     MAX_WORK_ITEM_DIMENSIONS: 3
     MAX_WORK_ITEM_SIZES:      [ 256 256 256 ]
     DRIVER_VERSION:           22.21.23269
     DEVICE_VERSION:           OpenCL 3.0 NEO 
0.089350 [opencl_init] options for OpenCL compiler: -w -cl-fast-relaxed-math  -DINTEL=1 -I"/usr/share/darktable/kernels"
0.089702 [opencl_init] compiling program `demosaic_ppg.cl' ..
0.089849 [opencl_fopen_stat] could not open file `/home/ml/.cache/darktable/cached_kernels_for_IntelRIrisRPlusGraphics0x8a52_222123269/demosaic_ppg.cl.bin'!
0.089862 [opencl_load_program] could not load cached binary program, trying to compile source
0.089885 [opencl_load_program] successfully loaded program from '/usr/share/darktable/kernels/demosaic_ppg.cl' MD5: '7739df06fb6a44a678a9e99a8f2dccb9'

This GDB supports auto-downloading debuginfo from the following URLs:
https://debuginfod.fedoraproject.org/ 
Enable debuginfod for this session? (y or [n]) [answered N; input not from terminal]
Debuginfod has been disabled.
To make this setting permanent, add 'set debuginfod enabled off' to .gdbinit.
[New LWP 70072]
[New LWP 70073]
[New LWP 70074]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f60ffd85eff in wait4 () from /lib64/libc.so.6
Warning: 'set logging on', an alias for the command 'set logging enabled', is deprecated.
Use 'set logging enabled on'.

"on" or "off" expected.
#0  0x00007f60ffd85eff in wait4 () from /lib64/libc.so.6
#1  0x00007f61000899e8 in _dt_sigsegv_handler () from /usr/bin/../lib64/darktable/libdarktable.so
#2  <signal handler called>
#3  0x00007f60d54cc647 in llvm::Argument::hasByValAttr() const () from /lib64/libLLVM-14.so
#4  0x00007f60cf0b571c in IGC::COpenCLKernel::AllocatePayload() () from /lib64/libigc.so.1
#5  0x00007f60cf287aa0 in IGC::EmitPass::runOnFunction(llvm::Function&) () from /lib64/libigc.so.1
#6  0x00007f60d551f681 in llvm::FPPassManager::runOnFunction(llvm::Function&) () from /lib64/libLLVM-14.so
#7  0x00007f60d5526573 in llvm::FPPassManager::runOnModule(llvm::Module&) () from /lib64/libLLVM-14.so
#8  0x00007f60d551fdf9 in llvm::legacy::PassManagerImpl::run(llvm::Module&) () from /lib64/libLLVM-14.so
#9  0x00007f60cf0c2756 in IGC::CodeGen(IGC::OpenCLProgramContext*) () from /lib64/libigc.so.1
#10 0x00007f60cef0aa20 in TC::TranslateBuildSPMD(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float, ShaderHash const&) () from /lib64/libigc.so.1
#11 0x00007f60cf04503a in IGC::VLD::TranslateBuildSPMDAndESIMD(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float, ShaderHash const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&) () from /lib64/libigc.so.1
#12 0x00007f60cef06863 in TC::TranslateBuild(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float) () from /lib64/libigc.so.1
#13 0x00007f60cf031b7a in IGC::IgcOclTranslationCtx<0ul>::Impl::Translate(unsigned long, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, unsigned int, void*) const () from /lib64/libigc.so.1
#14 0x00007f60cf033a2d in IGC::IgcOclTranslationCtx<3ul>::TranslateImpl(unsigned long, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, unsigned int, void*) () from /lib64/libigc.so.1
#15 0x00007f60e8df7026 in NEO::CompilerInterface::build(NEO::Device const&, NEO::TranslationInput const&, NEO::TranslationOutput&) () from /usr/lib64/intel-opencl/libigdrcl.so
#16 0x00007f60e89b43ee in NEO::Program::build(NEO::ClDeviceVector const&, char const*, bool) () from /usr/lib64/intel-opencl/libigdrcl.so
#17 0x00007f60e895caee in clBuildProgram () from /usr/lib64/intel-opencl/libigdrcl.so
#18 0x00007f60e92e660f in clBuildProgram () from /lib64/libOpenCL.so.1
#19 0x00007f61000697ea in dt_opencl_build_program () from /usr/bin/../lib64/darktable/libdarktable.so
#20 0x00007f610006da6e in dt_opencl_device_init () from /usr/bin/../lib64/darktable/libdarktable.so
#21 0x00007f610006f42e in dt_opencl_init () from /usr/bin/../lib64/darktable/libdarktable.so
#22 0x00007f60fffc7619 in dt_init () from /usr/bin/../lib64/darktable/libdarktable.so
#23 0x000055c5320be1cb in main ()

=========

  Id   Target Id                                           Frame 
* 1    Thread 0x7f60f7a1b1c0 (LWP 70071) "darktable-cltes" 0x00007f60ffd85eff in wait4 () from /lib64/libc.so.6
  2    Thread 0x7f60ea31f640 (LWP 70072) "gmain"           0x00007f60ffdaebaf in poll () from /lib64/libc.so.6
  3    Thread 0x7f60e9b1e640 (LWP 70073) "gdbus"           0x00007f60ffdaebaf in poll () from /lib64/libc.so.6
  4    Thread 0x7f60e8826640 (LWP 70074) "darktable-cltes" 0x00007f60ffd32a19 in __futex_abstimed_wait_common () from /lib64/libc.so.6

=========

Thread 4 (Thread 0x7f60e8826640 (LWP 70074) "darktable-cltes"):
#0  0x00007f60ffd32a19 in __futex_abstimed_wait_common () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f60ffd35200 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libc.so.6
No symbol table info available.
#2  0x00007f60fcbcd0d0 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib64/libstdc++.so.6
No symbol table info available.
#3  0x00007f60e8ec436a in NEO::DrmGemCloseWorker::worker(void*) () from /usr/lib64/intel-opencl/libigdrcl.so
No symbol table info available.
#4  0x00007f60ffd35e1d in start_thread () from /lib64/libc.so.6
No symbol table info available.
#5  0x00007f60ffdbb5e0 in clone3 () from /lib64/libc.so.6
No symbol table info available.

Thread 3 (Thread 0x7f60e9b1e640 (LWP 70073) "gdbus"):
#0  0x00007f60ffdaebaf in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f60ffaef23d in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f60ffa996cf in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f60fee6a99a in gdbus_shared_thread_func.lto_priv () from /lib64/libgio-2.0.so.0
No symbol table info available.
#4  0x00007f60ffac4302 in g_thread_proxy () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f60ffd35e1d in start_thread () from /lib64/libc.so.6
No symbol table info available.
#6  0x00007f60ffdbb5e0 in clone3 () from /lib64/libc.so.6
No symbol table info available.

Thread 2 (Thread 0x7f60ea31f640 (LWP 70072) "gmain"):
#0  0x00007f60ffdaebaf in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f60ffaef23d in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f60ffa97940 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f60ffa97991 in glib_worker_main () from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x00007f60ffac4302 in g_thread_proxy () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f60ffd35e1d in start_thread () from /lib64/libc.so.6
No symbol table info available.
#6  0x00007f60ffdbb5e0 in clone3 () from /lib64/libc.so.6
No symbol table info available.

Thread 1 (Thread 0x7f60f7a1b1c0 (LWP 70071) "darktable-cltes"):
#0  0x00007f60ffd85eff in wait4 () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f61000899e8 in _dt_sigsegv_handler () from /usr/bin/../lib64/darktable/libdarktable.so
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00007f60d54cc647 in llvm::Argument::hasByValAttr() const () from /lib64/libLLVM-14.so
No symbol table info available.
#4  0x00007f60cf0b571c in IGC::COpenCLKernel::AllocatePayload() () from /lib64/libigc.so.1
No symbol table info available.
#5  0x00007f60cf287aa0 in IGC::EmitPass::runOnFunction(llvm::Function&) () from /lib64/libigc.so.1
No symbol table info available.
#6  0x00007f60d551f681 in llvm::FPPassManager::runOnFunction(llvm::Function&) () from /lib64/libLLVM-14.so
No symbol table info available.
#7  0x00007f60d5526573 in llvm::FPPassManager::runOnModule(llvm::Module&) () from /lib64/libLLVM-14.so
No symbol table info available.
#8  0x00007f60d551fdf9 in llvm::legacy::PassManagerImpl::run(llvm::Module&) () from /lib64/libLLVM-14.so
No symbol table info available.
#9  0x00007f60cf0c2756 in IGC::CodeGen(IGC::OpenCLProgramContext*) () from /lib64/libigc.so.1
No symbol table info available.
#10 0x00007f60cef0aa20 in TC::TranslateBuildSPMD(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float, ShaderHash const&) () from /lib64/libigc.so.1
No symbol table info available.
#11 0x00007f60cf04503a in IGC::VLD::TranslateBuildSPMDAndESIMD(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float, ShaderHash const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&) () from /lib64/libigc.so.1
No symbol table info available.
#12 0x00007f60cef06863 in TC::TranslateBuild(TC::STB_TranslateInputArgs const*, TC::STB_TranslateOutputArgs*, TC::TB_DATA_FORMAT, IGC::CPlatform const&, float) () from /lib64/libigc.so.1
No symbol table info available.
#13 0x00007f60cf031b7a in IGC::IgcOclTranslationCtx<0ul>::Impl::Translate(unsigned long, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, unsigned int, void*) const () from /lib64/libigc.so.1
No symbol table info available.
#14 0x00007f60cf033a2d in IGC::IgcOclTranslationCtx<3ul>::TranslateImpl(unsigned long, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, CIF::Builtins::Buffer<1ul>*, unsigned int, void*) () from /lib64/libigc.so.1
No symbol table info available.
#15 0x00007f60e8df7026 in NEO::CompilerInterface::build(NEO::Device const&, NEO::TranslationInput const&, NEO::TranslationOutput&) () from /usr/lib64/intel-opencl/libigdrcl.so
No symbol table info available.
#16 0x00007f60e89b43ee in NEO::Program::build(NEO::ClDeviceVector const&, char const*, bool) () from /usr/lib64/intel-opencl/libigdrcl.so
No symbol table info available.
#17 0x00007f60e895caee in clBuildProgram () from /usr/lib64/intel-opencl/libigdrcl.so
No symbol table info available.
#18 0x00007f60e92e660f in clBuildProgram () from /lib64/libOpenCL.so.1
No symbol table info available.
#19 0x00007f61000697ea in dt_opencl_build_program () from /usr/bin/../lib64/darktable/libdarktable.so
No symbol table info available.
#20 0x00007f610006da6e in dt_opencl_device_init () from /usr/bin/../lib64/darktable/libdarktable.so
No symbol table info available.
#21 0x00007f610006f42e in dt_opencl_init () from /usr/bin/../lib64/darktable/libdarktable.so
No symbol table info available.
#22 0x00007f60fffc7619 in dt_init () from /usr/bin/../lib64/darktable/libdarktable.so
No symbol table info available.
#23 0x000055c5320be1cb in main ()
No symbol table info available.
[Inferior 1 (process 70071) detached]
backtrace written to /tmp/darktable_bt_W0N0M1.txt
Erreur de segmentation (core dumped)

Comment 9 Fedora Update System 2022-07-01 15:47:19 UTC
FEDORA-2022-c3e3ae48a9 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3e3ae48a9

Comment 10 Fedora Update System 2022-07-02 02:08:26 UTC
FEDORA-2022-c3e3ae48a9 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c3e3ae48a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3e3ae48a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-07-06 01:37:35 UTC
FEDORA-2022-c3e3ae48a9 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 mlaverdiere 2022-07-08 10:59:55 UTC
I did like suggested:

sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c3e3ae48a9

Everything seems to work now with intel-opencl, including clinfo and darktable. Thanks.


Note You need to log in before you can comment on or make changes to this bug.